<html>
<head>
<title>Ogre::FileStreamDataStream Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FileStreamDataStream.html">FileStreamDataStream</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FileStreamDataStream Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FileStreamDataStream" --><!-- doxytag: inherits="Ogre::DataStream" -->
<p>Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from std::basic_istream.  
 <a href="classOgre_1_1FileStreamDataStream.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::FileStreamDataStream:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1FileStreamDataStream__inherit__graph.gif" border="0" usemap="#Ogre_1_1FileStreamDataStream_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1FileStreamDataStream_inherit__map" id="Ogre_1_1FileStreamDataStream_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data." alt="" coords="36,83,164,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="53,5,147,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1FileStreamDataStream-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">AccessMode</a> { <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e">READ</a> =  1, 
<a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900">WRITE</a> =  2
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">FileStreamDataStream</a> (std::ifstream *s, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a read-only stream from an STL stream.  <a href="#a5df1c318c09bdd986a5a5a3d42f16b93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a17da6f498bcd96c82e6e9d899d5a6c45">FileStreamDataStream</a> (std::fstream *s, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a read-write stream from an STL stream.  <a href="#a17da6f498bcd96c82e6e9d899d5a6c45"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5a24dd1dcf7146d5ff2284dc51df3fe6">FileStreamDataStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, std::ifstream *s, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct named read-only stream from an STL stream.  <a href="#a5a24dd1dcf7146d5ff2284dc51df3fe6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#ae57d5d322a93cbf21e5ffd382919f3a3">FileStreamDataStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, std::fstream *s, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct named read-write stream from an STL stream.  <a href="#ae57d5d322a93cbf21e5ffd382919f3a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a85cb7005fc0eadec79baae3e11eb5865">FileStreamDataStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, std::ifstream *s, size_t <a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a>, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct named read-only stream from an STL stream, and tell it the size.  <a href="#a85cb7005fc0eadec79baae3e11eb5865"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#adcc220c9d2d2e6724c05359e854dc95c">FileStreamDataStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, std::fstream *s, size_t <a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a>, bool freeOnClose=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct named read-write stream from an STL stream, and tell it the size.  <a href="#adcc220c9d2d2e6724c05359e854dc95c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a645b1e56b481855c35185ff98cfc06ce">~FileStreamDataStream</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#aa2532ca6886377bea5384e917ee12ebb">read</a> (void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a7336968b7a08e61d5d7adbd4eb337c48">write</a> (const void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#af09667bef9ac4b514602baca8d08f007">readLine</a> (char *buf, size_t maxCount, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5c9ee831857cb0ea2d51ac6fc1a99d1a">skip</a> (long count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#afe6b33013fb5457f4c43a536e3aa059e">seek</a> (size_t pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a8051db57b210480892f20449cd0edf34">tell</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a2a2e826a7aae20b360255a1b14838afc">eof</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#af54511846463e10fe14a1addb40ada81">close</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">getName</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of the stream, if it has one.  <a href="#a7ebd86825f86b7114024d168e9751395"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">getAccessMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the access mode of the stream.  <a href="#a5c83611aecda5358beb6c6e035f33b51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">isReadable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is readable.  <a href="#a4779f7f57ff90ce12882c7c891651a71"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">isWriteable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is writeable.  <a href="#a91509b9cec70111c65570883810224be"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a49bfe5809b50735b5ce49e7df9615e5a">operator&gt;&gt;</a> (T &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">getLine</a> (bool trimAfter=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the next line of data, optionally trimmed for whitespace.  <a href="#a86d2ff5dff63ce4b689dd1d486d3243f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">getAsString</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the entire stream.  <a href="#a022f49c9313deffc5da4383d59d1f32d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">skipLine</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Skip a single line from the stream.  <a href="#a32966ad5a814f8c72fe0affbefcc6f55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.  <a href="#a1d4e9568e53a8071ea9b29a015425aef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a772a34cf995dcf4ffa1ea28c8f4b555c">determineAccess</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::istream *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a9866d52afa2ee74462a144392a50c4e1">mInStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to source stream (read)  <a href="#a9866d52afa2ee74462a144392a50c4e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::ifstream *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#af68c380890f470102a840d87ef324d17">mFStreamRO</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to source file stream (read-only)  <a href="#af68c380890f470102a840d87ef324d17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::fstream *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a6479abd94319810a677b2a60e810b08f">mFStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to source file stream (read-write)  <a href="#a6479abd94319810a677b2a60e810b08f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html#ac94f4c554c81b10fe8c97bc02132ffcf">mFreeOnClose</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name (e.g. resource name) that can be used to identify the source fot his data (optional)  <a href="#a371660702e913ca2799f0478a2154af7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">mSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data in the stream (may be 0 if size cannot be determined)  <a href="#a260d2aa9971abc5b8412cff1a01d6382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">mAccess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What type of access is allowed (AccessMode)  <a href="#a8eab8765fb7120bb1e519ff8d2460b13"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from std::basic_istream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00488">488</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08c"></a><!-- doxytag: member="Ogre::FileStreamDataStream::AccessMode" ref="a81856582e643b4a560e6c3d3ad05e08c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">Ogre::DataStream::AccessMode</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e"></a><!-- doxytag: member="READ" ref="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e" args="" -->READ</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900"></a><!-- doxytag: member="WRITE" ref="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900" args="" -->WRITE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00178">178</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5df1c318c09bdd986a5a5a3d42f16b93"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="a5df1c318c09bdd986a5a5a3d42f16b93" args="(std::ifstream *s, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">std::ifstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct a read-only stream from an STL stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a17da6f498bcd96c82e6e9d899d5a6c45"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="a17da6f498bcd96c82e6e9d899d5a6c45" args="(std::fstream *s, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">std::fstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct a read-write stream from an STL stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5a24dd1dcf7146d5ff2284dc51df3fe6"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="a5a24dd1dcf7146d5ff2284dc51df3fe6" args="(const String &amp;name, std::ifstream *s, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ifstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct named read-only stream from an STL stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give this stream </td></tr>
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae57d5d322a93cbf21e5ffd382919f3a3"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="ae57d5d322a93cbf21e5ffd382919f3a3" args="(const String &amp;name, std::fstream *s, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::fstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct named read-write stream from an STL stream. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give this stream </td></tr>
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a85cb7005fc0eadec79baae3e11eb5865"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="a85cb7005fc0eadec79baae3e11eb5865" args="(const String &amp;name, std::ifstream *s, size_t size, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::ifstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct named read-only stream from an STL stream, and tell it the size. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant tells the class the size of the stream too, which means this class does not need to seek to the end of the stream to determine the size up-front. This can be beneficial if you have metadata about the contents of the stream already. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give this stream </td></tr>
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">size</td><td>Size of the stream contents in bytes </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class. If you specify 'true' for this you must ensure that the stream was allocated using OGRE_NEW_T with MEMCATEGRORY_GENERAL. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adcc220c9d2d2e6724c05359e854dc95c"></a><!-- doxytag: member="Ogre::FileStreamDataStream::FileStreamDataStream" ref="adcc220c9d2d2e6724c05359e854dc95c" args="(const String &amp;name, std::fstream *s, size_t size, bool freeOnClose=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a5df1c318c09bdd986a5a5a3d42f16b93">Ogre::FileStreamDataStream::FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::fstream *&#160;</td>
          <td class="paramname"><em>s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>freeOnClose</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct named read-write stream from an STL stream, and tell it the size. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This variant tells the class the size of the stream too, which means this class does not need to seek to the end of the stream to determine the size up-front. This can be beneficial if you have metadata about the contents of the stream already. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name to give this stream </td></tr>
    <tr><td class="paramname">s</td><td>Pointer to source stream </td></tr>
    <tr><td class="paramname">size</td><td>Size of the stream contents in bytes </td></tr>
    <tr><td class="paramname">freeOnClose</td><td>Whether to delete the underlying stream on destruction of this class. If you specify 'true' for this you must ensure that the stream was allocated using OGRE_NEW_T with MEMCATEGRORY_GENERAL. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a645b1e56b481855c35185ff98cfc06ce"></a><!-- doxytag: member="Ogre::FileStreamDataStream::~FileStreamDataStream" ref="a645b1e56b481855c35185ff98cfc06ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FileStreamDataStream.html#a645b1e56b481855c35185ff98cfc06ce">Ogre::FileStreamDataStream::~FileStreamDataStream</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af54511846463e10fe14a1addb40ada81"></a><!-- doxytag: member="Ogre::FileStreamDataStream::close" ref="af54511846463e10fe14a1addb40ada81" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileStreamDataStream.html#af54511846463e10fe14a1addb40ada81">Ogre::FileStreamDataStream::close</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Close the stream; this makes further operations invalid. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#ace95bf415101e195a0c79838fdcb7e7d">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a772a34cf995dcf4ffa1ea28c8f4b555c"></a><!-- doxytag: member="Ogre::FileStreamDataStream::determineAccess" ref="a772a34cf995dcf4ffa1ea28c8f4b555c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileStreamDataStream.html#a772a34cf995dcf4ffa1ea28c8f4b555c">Ogre::FileStreamDataStream::determineAccess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2a2e826a7aae20b360255a1b14838afc"></a><!-- doxytag: member="Ogre::FileStreamDataStream::eof" ref="a2a2e826a7aae20b360255a1b14838afc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1FileStreamDataStream.html#a2a2e826a7aae20b360255a1b14838afc">Ogre::FileStreamDataStream::eof</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns true if the stream has reached the end. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a81d740638618913333324663b2edb519">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a5c83611aecda5358beb6c6e035f33b51"></a><!-- doxytag: member="Ogre::FileStreamDataStream::getAccessMode" ref="a5c83611aecda5358beb6c6e035f33b51" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">Ogre::DataStream::getAccessMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the access mode of the stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00201">201</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a022f49c9313deffc5da4383d59d1f32d"></a><!-- doxytag: member="Ogre::FileStreamDataStream::getAsString" ref="a022f49c9313deffc5da4383d59d1f32d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">Ogre::DataStream::getAsString</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the entire stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing all the data in the stream. </dd></dl>

</div>
</div>
<a class="anchor" id="a86d2ff5dff63ce4b689dd1d486d3243f"></a><!-- doxytag: member="Ogre::FileStreamDataStream::getLine" ref="a86d2ff5dff63ce4b689dd1d486d3243f" args="(bool trimAfter=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">Ogre::DataStream::getLine</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimAfter</em> = <code>true</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the next line of data, optionally trimmed for whitespace. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing the next line of data. The data is read up to the next newline character and the result trimmed if required. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">trimAfter</td><td>If true, the line is trimmed for whitespace (as in String.trim(true,true)) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7ebd86825f86b7114024d168e9751395"></a><!-- doxytag: member="Ogre::FileStreamDataStream::getName" ref="a7ebd86825f86b7114024d168e9751395" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">Ogre::DataStream::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the name of the stream, if it has one. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00199">199</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4779f7f57ff90ce12882c7c891651a71"></a><!-- doxytag: member="Ogre::FileStreamDataStream::isReadable" ref="a4779f7f57ff90ce12882c7c891651a71" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">Ogre::DataStream::isReadable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is readable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00203">203</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91509b9cec70111c65570883810224be"></a><!-- doxytag: member="Ogre::FileStreamDataStream::isWriteable" ref="a91509b9cec70111c65570883810224be" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">Ogre::DataStream::isWriteable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is writeable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00205">205</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49bfe5809b50735b5ce49e7df9615e5a"></a><!-- doxytag: member="Ogre::FileStreamDataStream::operator&gt;&gt;" ref="a49bfe5809b50735b5ce49e7df9615e5a" args="(T &amp;val)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a>&amp; Ogre::DataStream::operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa2532ca6886377bea5384e917ee12ebb"></a><!-- doxytag: member="Ogre::FileStreamDataStream::read" ref="aa2532ca6886377bea5384e917ee12ebb" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FileStreamDataStream.html#aa2532ca6886377bea5384e917ee12ebb">Ogre::FileStreamDataStream::read</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Read the requisite number of bytes from the stream, stopping at the end of the file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to read </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#aebedb14c79369be5b8750d834b128b9b">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="af09667bef9ac4b514602baca8d08f007"></a><!-- doxytag: member="Ogre::FileStreamDataStream::readLine" ref="af09667bef9ac4b514602baca8d08f007" args="(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FileStreamDataStream.html#af09667bef9ac4b514602baca8d08f007">Ogre::FileStreamDataStream::readLine</a> </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Get a single line from the stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The delimiter character is not included in the data returned, and it is skipped over so the next read will occur after it. The buffer contents will include a terminating character. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">maxCount</td><td>The maximum length of data to be read, excluding the terminating character </td></tr>
    <tr><td class="paramname">delim</td><td>The delimiter to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read, excluding the terminating character </dd></dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="afe6b33013fb5457f4c43a536e3aa059e"></a><!-- doxytag: member="Ogre::FileStreamDataStream::seek" ref="afe6b33013fb5457f4c43a536e3aa059e" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileStreamDataStream.html#afe6b33013fb5457f4c43a536e3aa059e">Ogre::FileStreamDataStream::seek</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Repositions the read point to a specified byte. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#adc4002e013c279625553ccc3f50ddae1">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a1d4e9568e53a8071ea9b29a015425aef"></a><!-- doxytag: member="Ogre::FileStreamDataStream::size" ref="a1d4e9568e53a8071ea9b29a015425aef" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">Ogre::DataStream::size</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00296">296</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c9ee831857cb0ea2d51ac6fc1a99d1a"></a><!-- doxytag: member="Ogre::FileStreamDataStream::skip" ref="a5c9ee831857cb0ea2d51ac6fc1a99d1a" args="(long count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FileStreamDataStream.html#a5c9ee831857cb0ea2d51ac6fc1a99d1a">Ogre::FileStreamDataStream::skip</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Skip a defined number of bytes. </p>
<p>This can also be a negative value, in which case the file pointer rewinds a defined number of bytes. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a776630c409195fdf118a6737571d3d07">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a32966ad5a814f8c72fe0affbefcc6f55"></a><!-- doxytag: member="Ogre::FileStreamDataStream::skipLine" ref="a32966ad5a814f8c72fe0affbefcc6f55" args="(const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">Ogre::DataStream::skipLine</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Skip a single line from the stream. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delim</td><td>The delimiter(s) to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes skipped </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1MemoryDataStream.html#a581ccd32944288808f7602b29a0218e9">Ogre::MemoryDataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a8051db57b210480892f20449cd0edf34"></a><!-- doxytag: member="Ogre::FileStreamDataStream::tell" ref="a8051db57b210480892f20449cd0edf34" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FileStreamDataStream.html#a8051db57b210480892f20449cd0edf34">Ogre::FileStreamDataStream::tell</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns the current byte offset from beginning. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a2d9100f4e9167116fe280a7e7a1b6219">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a7336968b7a08e61d5d7adbd4eb337c48"></a><!-- doxytag: member="Ogre::FileStreamDataStream::write" ref="a7336968b7a08e61d5d7adbd4eb337c48" args="(const void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FileStreamDataStream.html#a7336968b7a08e61d5d7adbd4eb337c48">Ogre::FileStreamDataStream::write</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Write the requisite number of bytes from the stream (only applicable to streams that are not read-only) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Pointer to a buffer containing the bytes to write </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to write </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes written </dd></dl>
 
<p>Reimplemented from <a class="el" href="classOgre_1_1DataStream.html#a68cde598ee9c2694e16931134fe5c136">Ogre::DataStream</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8eab8765fb7120bb1e519ff8d2460b13"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mAccess" ref="a8eab8765fb7120bb1e519ff8d2460b13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">Ogre::DataStream::mAccess</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What type of access is allowed (AccessMode) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00189">189</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac94f4c554c81b10fe8c97bc02132ffcf"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mFreeOnClose" ref="ac94f4c554c81b10fe8c97bc02132ffcf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1FileStreamDataStream.html#ac94f4c554c81b10fe8c97bc02132ffcf">Ogre::FileStreamDataStream::mFreeOnClose</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00497">497</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6479abd94319810a677b2a60e810b08f"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mFStream" ref="a6479abd94319810a677b2a60e810b08f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::fstream* <a class="el" href="classOgre_1_1FileStreamDataStream.html#a6479abd94319810a677b2a60e810b08f">Ogre::FileStreamDataStream::mFStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reference to source file stream (read-write) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00496">496</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="af68c380890f470102a840d87ef324d17"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mFStreamRO" ref="af68c380890f470102a840d87ef324d17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ifstream* <a class="el" href="classOgre_1_1FileStreamDataStream.html#af68c380890f470102a840d87ef324d17">Ogre::FileStreamDataStream::mFStreamRO</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reference to source file stream (read-only) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00494">494</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9866d52afa2ee74462a144392a50c4e1"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mInStream" ref="a9866d52afa2ee74462a144392a50c4e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::istream* <a class="el" href="classOgre_1_1FileStreamDataStream.html#a9866d52afa2ee74462a144392a50c4e1">Ogre::FileStreamDataStream::mInStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reference to source stream (read) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00492">492</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a371660702e913ca2799f0478a2154af7"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mName" ref="a371660702e913ca2799f0478a2154af7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">Ogre::DataStream::mName</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name (e.g. resource name) that can be used to identify the source fot his data (optional) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00185">185</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a260d2aa9971abc5b8412cff1a01d6382"></a><!-- doxytag: member="Ogre::FileStreamDataStream::mSize" ref="a260d2aa9971abc5b8412cff1a01d6382" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">Ogre::DataStream::mSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size of the data in the stream (may be 0 if size cannot be determined) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00187">187</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
